cURL
curl -X GET "https://api.fitsociety.io/public/v1/client-custom-fields" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/client-custom-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/client-custom-fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"customFields": [
{
"key": "<string>",
"label": {
"en": "<string>",
"nl": "<string>"
},
"type": "<string>",
"mode": "<string>",
"order": 123,
"placeholder": {
"en": "<string>",
"nl": "<string>"
},
"helpText": {
"en": "<string>",
"nl": "<string>"
},
"validation": {
"minLength": 123,
"maxLength": 123,
"min": 123,
"max": 123
},
"options": [
{
"value": "<string>",
"label": {
"en": "<string>",
"nl": "<string>"
},
"order": 123
}
]
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Custom fields
List client custom field definitions
Requires client_custom_fields:read. Returns active client-page custom field definitions without usage flags, inactive fields, update metadata, or validation regex patterns.
GET
/
public
/
v1
/
client-custom-fields
cURL
curl -X GET "https://api.fitsociety.io/public/v1/client-custom-fields" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/client-custom-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/client-custom-fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"customFields": [
{
"key": "<string>",
"label": {
"en": "<string>",
"nl": "<string>"
},
"type": "<string>",
"mode": "<string>",
"order": 123,
"placeholder": {
"en": "<string>",
"nl": "<string>"
},
"helpText": {
"en": "<string>",
"nl": "<string>"
},
"validation": {
"minLength": 123,
"maxLength": 123,
"min": 123,
"max": 123
},
"options": [
{
"value": "<string>",
"label": {
"en": "<string>",
"nl": "<string>"
},
"order": 123
}
]
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}⌘I